Configuration for enabling Autocompletion for the text input field.

member

  {HTMLDivElement} dropdownElement is used as container to render the autocompletion dropdown. Per default the first element with class lto-autocomplete is used.

member

  {HTMLButtonElement} invokerElement is clicked when an autocomplete suggestion is clicked.

member

  {number} maxNumberOfResults is used to determine the max elements displayed in the autocomplete dropdown. Default is 5.

member

  {IIndex} index is used to store and search for autocompletion elements.

### Hierarchy

- AutocompleteConfig

## Index

### Properties

- dropdownElement
- index
- invokerElement
- maxNumberOfResults

## Properties

### Optional dropdownElement

dropdownElement: HTMLDivElement

- Defined in lib/behaviour/AutocompleteBehaviour.ts:18

### Optional index

index: IIndex

- Defined in lib/behaviour/AutocompleteBehaviour.ts:21

### Optional invokerElement

invokerElement: HTMLButtonElement

- Defined in lib/behaviour/AutocompleteBehaviour.ts:19

### Optional maxNumberOfResults

maxNumberOfResults: undefined | number

- Defined in lib/behaviour/AutocompleteBehaviour.ts:20

Generated using TypeDoc